import { TrackingApi, TrackingEventProperties } from './tracking_api';
declare class TrackingProviderProxy implements TrackingApi {
    providers: TrackingApi[];
    constructor(providers: TrackingApi[]);
    identify(userID: string, userProperties?: TrackingEventProperties): void;
    trackSingleItem(eventName: string, properties?: TrackingEventProperties): void;
    trackPageView(url: string | undefined): void;
}
export default TrackingProviderProxy;
